/// <reference types="node" />
import { URL } from 'url';
import { Command as Base } from '@oclif/core';
import { GlobalInfo, Org } from '@salesforce/core';
import APIClient from './api-client';
import { SfdcAccount } from './sfdc-types';
export default abstract class Command extends Base {
    protected static TOKEN_BEARER_KEY: string;
    protected static TOKEN_REFRESH_KEY: string;
    static disableJsonFlag: boolean;
    protected info: GlobalInfo;
    private _client?;
    private _auth?;
    protected init(): Promise<void>;
    protected get identityUrl(): URL;
    protected get username(): string | undefined;
    protected resetClientAuth(): void;
    protected get auth(): string;
    protected get client(): APIClient;
    protected catch(err: any): any;
    protected fetchAccount(): Promise<SfdcAccount>;
    protected isFunctionsEnabled(org: Org): Promise<boolean>;
    private fetchConfirmationValue;
    protected confirmRemovePrompt(type: 'environment', name: string, confirm?: string | string[], warningMessage?: string): Promise<void>;
}
